org.apache.poi.xssf.usermodel.helpers

## Class XSSFXmlColumnPr

- java.lang.Object
- - org.apache.poi.xssf.usermodel.helpers.XSSFXmlColumnPr

-     public class XSSFXmlColumnPr
      extends java.lang.Object

  This class is a wrapper around the CTXmlColumnPr (Open Office XML Part 4: chapter 3.5.1.7)
  Author:
    Roberto Manicardi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFXmlColumnPr(XSSFTableColumn tableColumn, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTXmlColumnPr ctXmlColumnPr)` Create a new XSSFXmlColumnPr (XML column properties) wrapper around a CTXmlColumnPr.
    `XSSFXmlColumnPr(XSSFTable table, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableColumn ctTableColum, org.openxmlformats.schemas.spreadsheetml.x2006.main.CTXmlColumnPr ctXmlColumnPr)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getId()` Deprecated. Use `XSSFTableColumn.getId()` instead.
    `java.lang.String` | `getLocalXPath()` If the XPath is, for example, /Node1/Node2/Node3 and /Node1/Node2 is the common XPath for the table, the local XPath is /Node3
    `long` | `getMapId()`
    `XSSFTableColumn` | `getTableColumn()` Get the column for which these XML column properties are set.
    `org.openxmlformats.schemas.spreadsheetml.x2006.main.STXmlDataType.Enum` | `getXmlDataType()`
    `java.lang.String` | `getXPath()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSSFXmlColumnPr

          @Internal
          public XSSFXmlColumnPr(XSSFTableColumn tableColumn,
                                           org.openxmlformats.schemas.spreadsheetml.x2006.main.CTXmlColumnPr ctXmlColumnPr)

      Create a new XSSFXmlColumnPr (XML column properties) wrapper around a CTXmlColumnPr.
      Parameters:
        `tableColumn` - table column for which the XML column properties are set
        `ctXmlColumnPr` - the XML column properties xmlbean to wrap

    - #### XSSFXmlColumnPr

          @Deprecated
           @Removal(version="4.2")
          public XSSFXmlColumnPr(XSSFTable table,
                                                                      org.openxmlformats.schemas.spreadsheetml.x2006.main.CTTableColumn ctTableColum,
                                                                      org.openxmlformats.schemas.spreadsheetml.x2006.main.CTXmlColumnPr ctXmlColumnPr)

      Deprecated.

  - ### Method Detail

    - #### getTableColumn

          public XSSFTableColumn getTableColumn()

      Get the column for which these XML column properties are set.
      Returns:
        the table column
      Since:
        4.0.0

    - #### getMapId

          public long getMapId()

    - #### getXPath

          public java.lang.String getXPath()

    - #### getId

          @Deprecated
           @Removal(version="4.2")
          public long getId()

      Deprecated. Use `XSSFTableColumn.getId()` instead.
      (see Open Office XML Part 4: chapter 3.5.1.3)
      Returns:
        An integer representing the unique identifier of this column.

    - #### getLocalXPath

          public java.lang.String getLocalXPath()

      If the XPath is, for example, /Node1/Node2/Node3 and /Node1/Node2 is the common XPath for the table, the local XPath is /Node3
      Returns:
        the local XPath

    - #### getXmlDataType

          public org.openxmlformats.schemas.spreadsheetml.x2006.main.STXmlDataType.Enum getXmlDataType()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.